SystemOrganization addCategory: #'SourceCity-Core'!

Object subclass: #AbstractCityComponent
	instanceVariableNames: 'model id width height'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!AbstractCityComponent commentStamp: '<historical>' prior: 0!
I'm an abstract class root of the city elements!

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 11:20'!
height
	^ height! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 11:20'!
height: anObject
	height := anObject! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:14'!
id
	^ id! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:14'!
id: anObject
	id := anObject! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 11:23'!
initialize
	id := 0.
	width:= 0.5.
	height:= 0.! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:14'!
model
	^ model! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:14'!
model: anObject
	model := anObject! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 09:30'!
width
	^ width! !

!AbstractCityComponent methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 09:30'!
width: anObject
	width := anObject! !

AbstractCityComponent subclass: #Building
	instanceVariableNames: 'district heightSelector widthSelector heightNormalizer widthNormalizer color'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!Building commentStamp: '<historical>' prior: 0!
A Building is the level abstraction.!

!Building class methodsFor: 'instance creation' stamp: 'DouailleErwan 6/18/2012 10:11'!
forModel: aModel inDistrict: aDistrict id: anId heightSelector: aHeightSelector heightNormalizer: aHeightNormalizer widthSelector: aWidthSelector widthNormalizer: aWidthNormalizer

	^ self new 
		model: aModel;
		id: anId;
		widthNormalizer: aWidthNormalizer; 
		heightNormalizer: aHeightNormalizer; 
		widthSelector: aWidthSelector; 
		heightSelector: aHeightSelector;
		district: aDistrict.! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/28/2012 16:52'!
color
	^ Color yellow! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
color: anObject
	color := anObject! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
district
	^ district! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 14:55'!
district: anObject
	district := anObject.
	self district add: self.! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 11:20'!
height
	(height < 0.5)
	ifTrue: [^ 0.5].
	^ height.! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
heightNormalizer
	^ heightNormalizer! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
heightNormalizer: anObject
	heightNormalizer := anObject! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
heightSelector
	^ heightSelector! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:47'!
heightSelector: anObject

	heightSelector := anObject.
	(self heightNormalizer asString = 'none')
	ifTrue: [self height: (self model perform: self heightSelector) size +1.] 
	ifFalse: [self height: (((self model perform: self heightSelector) size +1) perform: self heightNormalizer)*2.].! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:27'!
printOn: aStream

	district ifNotNil: [ aStream
					nextPutAll: district asString; 
					nextPutAll: ' -> '].
	model ifNotNil: [ aStream 
					nextPutAll: ' Buidling: '; 
					nextPutAll: model name].! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 11:21'!
width
	(super width < 0.5)
	ifTrue: [^ 0.5].
	^ super width.! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
widthNormalizer
	^ widthNormalizer! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
widthNormalizer: anObject
	widthNormalizer := anObject! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
widthSelector
	^ widthSelector! !

!Building methodsFor: 'accessing' stamp: 'DouailleErwan 6/18/2012 09:28'!
widthSelector: anObject

	widthSelector := anObject.
	(self widthNormalizer asString = 'none')
	ifTrue: [self width: (self model perform: self widthSelector) size +1.] 
	ifFalse: [self width: (((self model perform: self widthSelector) size +1) perform: self widthNormalizer)*2.].! !

AbstractCityComponent subclass: #City
	instanceVariableNames: 'districts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!City commentStamp: '<historical>' prior: 0!
A City represents the largest model element. It contains a list of districts.!

!City class methodsFor: 'instance creation' stamp: 'DouailleErwan 6/15/2012 12:38'!
model: aName
	^ self new 
		model: aName.
		! !

!City methodsFor: 'adding' stamp: 'DouailleErwan 6/18/2012 10:23'!
add: aDistrict

	districts add: aDistrict.
	self width: ( self districts inject: 0 into: [ :sum :each | sum + each width.]).
	^ aDistrict! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/28/2012 16:21'!
color
	^Color r: 0.6 g: 0.6 b: 0.6! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:15'!
districts
	^ districts! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:15'!
districts: anObject
	districts := anObject! !

!City methodsFor: 'comparing' stamp: 'DouailleErwan 6/12/2012 10:22'!
hasDistrictNamed: aString

	^ districts anySatisfy: [ :each | each model name = aString ]! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/26/2012 16:47'!
height
	"static height for city"
	^ 2! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:22'!
initialize

	super initialize.
	districts := OrderedCollection new.! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/15/2012 12:37'!
printOn: aStream

	model ifNotNil: [ aStream 
					nextPutAll: ' City: '; 
					nextPutAll: self model].! !

!City methodsFor: 'accessing' stamp: 'DouailleErwan 6/26/2012 15:18'!
width: anObject
	"re calculate the width of the city, better way was found to have a nice looking"
	width := anObject sqrt roundedUp *30! !

AbstractCityComponent subclass: #District
	instanceVariableNames: 'buildings city'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!District commentStamp: '<historical>' prior: 0!
A District is a secondary city abstractions!

!District class methodsFor: 'instance creation' stamp: 'DouailleErwan 6/18/2012 10:11'!
forPackage: aPackage inCity: aCity id: aValue

	^ self new
		model: aPackage;
		id: aValue;
		city: aCity.! !

!District methodsFor: 'adding' stamp: 'DouailleErwan 6/18/2012 10:19'!
add: aBuilding

	buildings add: aBuilding.
	self width: ( self buildings inject: 0 into: [ :sum :each | sum + each width.]).
	^ aBuilding.! !

!District methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
buildings
	^ buildings! !

!District methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
buildings: anObject
	buildings := anObject! !

!District methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:16'!
city
	^ city! !

!District methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 14:54'!
city: anObject
	city := anObject.
	self city add: self.! !

!District methodsFor: 'initialize-release' stamp: 'DouailleErwan 6/28/2012 16:20'!
color
	^Color r: 0.8 g: 0.8 b: 0.8! !

!District methodsFor: 'comparing' stamp: 'DouailleErwan 6/15/2012 12:38'!
hasBuildingNamed: aString

	^ buildings anySatisfy: [ :each | each model name = aString ]! !

!District methodsFor: 'initialize-release' stamp: 'DouailleErwan 6/26/2012 16:47'!
height
	"same than city height"
	^1! !

!District methodsFor: 'initialize-release' stamp: 'DouailleErwan 6/12/2012 14:52'!
initialize 
	
	super initialize.
	buildings := OrderedCollection new.! !

!District methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 10:25'!
printOn: aStream

	city ifNotNil: [ aStream
					nextPutAll: city asString;
					nextPutAll: '-> '].
	model ifNotNil: [ aStream 
					nextPutAll: ' District: '; 
					nextPutAll: model name ].! !

!District methodsFor: 'initialize-release' stamp: 'DouailleErwan 6/18/2012 10:19'!
width: anObject
	"re calculate the width of the district, better way was found to have a nice looking"
	width := anObject sqrt asFloat roundedUp*2 ! !

Object subclass: #CityConfiguration
	instanceVariableNames: 'buildingGap buildingHighColor buildingLowColor buildingMaxHeightColor buildingMediumHeightColor buildingMaxWidthColor cameraXPos cameraYPos cameraZPos cityColor districtColor districtGap glBackground openGL model buildingMediumColor buildingWidthCalcList buildingHeightCalcList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!CityConfiguration commentStamp: '<historical>' prior: 0!
Provides default configuration parameters for Source city GL views. All the default methods provide extension poinits for customizing GL views. If someone wants to describe their own config, default methods can be overriden.!

!CityConfiguration class methodsFor: 'as yet unclassified' stamp: 'DouailleErwan 6/4/2012 16:54'!
default
	^ self new default.! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingGap
	^ buildingGap! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingGap: anObject
	buildingGap := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingHeightCalcList
	^ buildingHeightCalcList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingHeightCalcList: anObject
	buildingHeightCalcList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingHighColor
	^ buildingHighColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingHighColor: anObject
	buildingHighColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingLowColor
	^ buildingLowColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingLowColor: anObject
	buildingLowColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxHeightColor
	^ buildingMaxHeightColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxHeightColor: anObject
	buildingMaxHeightColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxWidthColor
	^ buildingMaxWidthColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
buildingMaxWidthColor: anObject
	buildingMaxWidthColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:47'!
buildingMediumColor
	^ buildingMediumColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:47'!
buildingMediumColor: anObject
	buildingMediumColor := anObject! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:36'!
buildingMediumHeightCalcColor
	^50! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:22'!
buildingMediumHeightColor
	^ buildingMediumHeightColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/26/2012 10:22'!
buildingMediumHeightColor: anObject
	buildingMediumHeightColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingWidthCalcList
	^buildingWidthCalcList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/4/2012 12:22'!
buildingWidthCalcList: anObject
	buildingWidthCalcList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraXPos
	^ cameraXPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraXPos: anObject
	cameraXPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraYPos
	^ cameraYPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraYPos: anObject
	cameraYPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraZPos
	^ cameraZPos! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cameraZPos: anObject
	cameraZPos := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cityColor
	^ cityColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
cityColor: anObject
	cityColor := anObject! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:46'!
default
		self 
			cityColor: self defaultCityColor ;
			districtColor: self defaultDistrictColor;
			districtGap: self defaultDistrictGap;
			buildingLowColor: self defaultBuildingLowColor;
			buildingMediumColor: self defaultBuildingMediumColor;
			buildingHighColor: self defaultBuildingHighColor;	
			buildingGap: self defaultBuildingGap;
			buildingMediumHeightColor: self defaultBuildingMediumHeightCalcColor;
			buildingMaxHeightColor: self defaultBuildingMaxHeightCalcColor;
			buildingMaxWidthColor: self defaultBuildingMaxWidthColor;
			buildingHeightCalcList: self defaultBuildingHeightCalcList;
			buildingWidthCalcList: self defaultBuildingWidthCalcList;
			glBackground: self defaultGlBackground;
			"glAAList: self defaultGlAAList;
			glPerspectiveList: self defaultGlPerspectiveList;"
			cameraXPos: self defaultCameraXPos;
			cameraYPos: self defaultCameraYPos;
			cameraZPos: self defaultCameraZPos;
			model: self defaultModel.! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:34'!
defaultBuildingGap
	^2! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:44'!
defaultBuildingHeightCalcList
	^ 'none'! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingHighColor
	^Color red! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingLowColor
	^ Color blue! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:38'!
defaultBuildingMaxHeightCalcColor
	^50! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMaxHeightColor
	^10! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMaxWidthColor
	^5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:35'!
defaultBuildingMediumColor
	^ 5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:38'!
defaultBuildingMediumHeightCalcColor
	^20! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultBuildingMediumHeightColor
	^5! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:45'!
defaultBuildingWidthCalcList
	^ 'none'! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraXPos
 	^-196! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraYPos
	^ -15! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:36'!
defaultCameraZPos
	^0! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:53'!
defaultCityColor
	^Color r: 0.8 g: 0.8 b: 0.8! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/4/2012 16:56'!
defaultDistrictColor
	^Color gray! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:37'!
defaultDistrictGap
	^2! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:37'!
defaultGlBackground
	^Color white! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/5/2012 10:47'!
defaultModel
	^#()! !

!CityConfiguration methodsFor: 'defalt-values' stamp: 'DouailleErwan 4/27/2012 15:43'!
defaultOpenGL! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtColor
	^ districtColor! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtColor: anObject
	districtColor := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtGap
	^ districtGap! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
districtGap: anObject
	districtGap := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glAAList
	^ glAAList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glAAList: anObject
	glAAList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
glBackground
	^ glBackground! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
glBackground: anObject
	glBackground := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glPerspectiveList
	^ glPerspectiveList! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 5/11/2012 16:20'!
glPerspectiveList: anObject
	glPerspectiveList := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 16:33'!
model
	^ model! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 16:33'!
model: anObject
	model := anObject! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
openGL
	^ openGL! !

!CityConfiguration methodsFor: 'accessing' stamp: 'DouailleErwan 4/25/2012 15:14'!
openGL: anObject
	openGL := anObject! !

Object subclass: #SourceCityApi
	instanceVariableNames: 'SourceCityImporter cameraXposition cameraYposition cameraZposition cityColor districtColor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Core'!

!SourceCityApi class methodsFor: 'as yet unclassified' stamp: 'DouailleErwan 6/12/2012 11:23'!
default
	^ self new default.! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingGap
	^ buildingGap! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingGap: anObject
	buildingGap := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingHeightCalcList
	^ buildingHeightCalcList! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingHeightCalcList: anObject
	buildingHeightCalcList := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingHighColor
	^ buildingHighColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingHighColor: anObject
	buildingHighColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingLowColor
	^ buildingLowColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingLowColor: anObject
	buildingLowColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMaxHeightColor
	^ buildingMaxHeightColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMaxHeightColor: anObject
	buildingMaxHeightColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMaxWidthColor
	^ buildingMaxWidthColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMaxWidthColor: anObject
	buildingMaxWidthColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMediumColor
	^ buildingMediumColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMediumColor: anObject
	buildingMediumColor := anObject! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMediumHeightCalcColor
	^50! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMediumHeightColor
	^ buildingMediumHeightColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingMediumHeightColor: anObject
	buildingMediumHeightColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingWidthCalcList
	^buildingWidthCalcList! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
buildingWidthCalcList: anObject
	buildingWidthCalcList := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraXPos
	^ cameraXPos! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraXPos: anObject
	cameraXPos := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraYPos
	^ cameraYPos! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraYPos: anObject
	cameraYPos := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraZPos
	^ cameraZPos! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cameraZPos: anObject
	cameraZPos := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cityColor
	^ cityColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
cityColor: anObject
	cityColor := anObject! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
default
		self 
			cityColor: self defaultCityColor ;
			districtColor: self defaultDistrictColor;
			districtGap: self defaultDistrictGap;
			buildingLowColor: self defaultBuildingLowColor;
			buildingMediumColor: self defaultBuildingMediumColor;
			buildingHighColor: self defaultBuildingHighColor;	
			buildingGap: self defaultBuildingGap;
			buildingMediumHeightColor: self defaultBuildingMediumHeightCalcColor;
			buildingMaxHeightColor: self defaultBuildingMaxHeightCalcColor;
			buildingMaxWidthColor: self defaultBuildingMaxWidthColor;
			buildingHeightCalcList: self defaultBuildingHeightCalcList;
			buildingWidthCalcList: self defaultBuildingWidthCalcList;
			glBackground: self defaultGlBackground;
			"glAAList: self defaultGlAAList;
			glPerspectiveList: self defaultGlPerspectiveList;"
			cameraXPos: self defaultCameraXPos;
			cameraYPos: self defaultCameraYPos;
			cameraZPos: self defaultCameraZPos;
			model: self defaultModel.! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingGap
	^2! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingHeightCalcList
	^ 'none'! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingHighColor
	^Color red! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingLowColor
	^ Color blue! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMaxHeightCalcColor
	^50! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMaxHeightColor
	^10! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMaxWidthColor
	^5! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMediumColor
	^ 5! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMediumHeightCalcColor
	^20! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingMediumHeightColor
	^5! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultBuildingWidthCalcList
	^ 'none'! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultCameraXPos
 	^-196! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultCameraYPos
	^ -15! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultCameraZPos
	^0! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultCityColor
	^Color r: 0.8 g: 0.8 b: 0.8! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultDistrictColor
	^Color gray! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultDistrictGap
	^2! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultGlBackground
	^Color white! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultModel
	^#()! !

!SourceCityApi methodsFor: 'defalt-values' stamp: 'DouailleErwan 6/12/2012 11:23'!
defaultOpenGL! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
districtColor
	^ districtColor! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
districtColor: anObject
	districtColor := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
districtGap
	^ districtGap! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
districtGap: anObject
	districtGap := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glAAList
	^ glAAList! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glAAList: anObject
	glAAList := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glBackground
	^ glBackground! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glBackground: anObject
	glBackground := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glPerspectiveList
	^ glPerspectiveList! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
glPerspectiveList: anObject
	glPerspectiveList := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
model
	^ model! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
model: anObject
	model := anObject! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
openGL
	^ openGL! !

!SourceCityApi methodsFor: 'accessing' stamp: 'DouailleErwan 6/12/2012 11:23'!
openGL: anObject
	openGL := anObject! !
